Subject: Offline Message from Atheer: Dear support team I'm really angry and disappoi
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 07 Jun 2020 12:03:49 -0000

From: Atheer <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/shipmenttrack/id/Q0M2ZXpBb29DWnRjWUY2U0V0Nk9ldz09/key/2/
Department: 

Dear support team 
I'm really angry and disappointed, this situation make me swear that i'll never ever visit Mumz world website again!!! I'm waiting for my little baby chair for 3 months... is that acceptable for you?? ,I'm tried of following up with you and naqel !
This is the most bad customer experience I've ever had.

----
Zopim
https://www.zopim.com